{
  programs.firefox = { # Пока что передумал настраивать браузер. Бекаплю каталог целиком
    enable = true;

    # profiles.buliway = {

      # search = {
      #   engines = {

      #   };

      #   force = true;
      # };

      # nativeMessagingHosts.ff2mpv = true; # Чтоб ff2mpv работал

      # settings = {
      #   # "extensions.autoDisableScopes" = 0; # To automatically enable extensions
      #   "browser.bookmarks.openInTabClosesMenu" = false;
      #   "browser.tabs.loadBookmarksInBackground" = true;
      #   "layout.css.has-selector.enabled" = true;
      #   # https://github.com/K3V1991/Disable-Firefox-Telemetry-and-Data-Collection
      #   "browser.newtabpage.activity-stream.feeds.telemetry" = false;
      #   "browser.newtabpage.activity-stream.telemetry" = false;
      #   "datareporting.healthreport.uploadEnabled" = false;
      #   "datareporting.policy.dataSubmissionEnabled" = false;
      #   "toolkit.telemetry.archive.enabled" = false;
      #   "toolkit.telemetry.bhrPing.enabled" = false;
      #   "toolkit.telemetry.enabled" = false;
      #   "toolkit.telemetry.firstShutdownPing.enabled" = false;
      #   "toolkit.telemetry.newProfilePing.enabled" = false;
      #   "toolkit.telemetry.reportingpolicy.firstRun" = false;
      #   "toolkit.telemetry.server" = "";
      #   "toolkit.telemetry.shutdownPingSender.enabled" = false;
      #   "toolkit.telemetry.unified" = false;
      #   "toolkit.telemetry.updatePing.enabled" = false;
      # };
    # };
  };
}